from sqlalchemy import *
from dictionaries.versions import views_helper

exciseMarkTableName = 'excisemarkwhite'
serialNumberColumnName = 'serialnumber'
serialNumberIndexName = 'excisemarkwhiteidxserialnumber'

def upgrade(migrate_engine):
    views_helper.create_column(migrate_engine, exciseMarkTableName, serialNumberColumnName, String(255))
    views_helper.create_index(migrate_engine, exciseMarkTableName, serialNumberColumnName, serialNumberIndexName)

def downgrade(migrate_engine):
    views_helper.drop_index(migrate_engine, exciseMarkTableName, serialNumberIndexName)
    views_helper.drop_column(migrate_engine, exciseMarkTableName, serialNumberColumnName, String(255))
