from sqlalchemy import Numeric
from dictionaries.versions import views_helper

tableName = 'medicine'
columnName = 'cquant'

def upgrade(migrate_engine):
    views_helper.create_column(migrate_engine, tableName, columnName, Numeric(precision=13, scale=3))

def downgrade(migrate_engine):
    views_helper.drop_column(migrate_engine, tableName, columnName, Numeric(precision=13, scale=3))
