from sqlalchemy import String
from dictionaries.versions import views_helper

table_name = 'card'
column_name = 'shopcode'


def upgrade(migrate_engine):
    views_helper.create_column(migrate_engine, table_name, column_name, String(255), isBigTable=True)


def downgrade(migrate_engine):
    views_helper.drop_column(migrate_engine, table_name, column_name, String(255), isBigTable=True)
