from sqlalchemy import *
from migrate import *
from documents.versions import dump

tableName = 'moneyitem'

def getTable(meta):
    return Table('moneyitem', meta, autoload=True)

def upgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)
    dump.store(migrate_engine)
    table = getTable(meta)
    table.c.merchantid.alter(type=String(255))

def downgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)
    table = getTable(meta)
    table.c.merchantid.alter(type=Integer)
