# -*- coding: utf-8 -*-
from sqlalchemy import *
from migrate import *
from documents.versions import dump

def upgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)
    dump.store(migrate_engine)
    Table('moneyitem', meta, autoload=True).c.operationid.alter(type=String(255))

def downgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)

    Table('moneyitem', meta, autoload=True).c.operationid.alter(type=String(30))
